package cp_e

import "git.hilo.cn/hilo-common/resource/mysql"

type CpGrade int

const (
	CpGrade0 CpGrade = 0 // 无称号
	CpGrade1 CpGrade = 1 // 恋爱CP
	CpGrade2 CpGrade = 2 // 甜蜜CP
	CpGrade3 CpGrade = 3 // 忠诚CP
	CpGrade4 CpGrade = 4 // 炽热CP
	CpGrade5 CpGrade = 5 // 荣耀CP

	CpGradeMax = CpGrade5
)

var (
	// cp等级
	CpGradeExp = map[CpGrade]mysql.Num{
		CpGrade0: 0,
		CpGrade1: 200000,
		CpGrade2: 800000,
		CpGrade3: 1000000,
		CpGrade4: 3000000,
		CpGrade5: 10000000,
	}
	// cp特权名称 // todo 翻译
	CpPrivilegeNameMsgId = map[CpPrivilege]uint{
		CpPrivilegeSpace:         0,
		CpPrivilegeBanner:        0,
		CpPrivilegeMedal:         0,
		CpPrivilegeCert:          0,
		CpPrivilegeRoomEffect:    0,
		CpPrivilegeHeadwear:      0,
		CpPrivilegeActiveProfile: 0,
		CpPrivilegeMicEffect:     0,
	}
	// cp等级icon // todo ui
	CpGradeIcon = map[CpGrade]string{
		CpGrade0: "icon0.png",
		CpGrade1: "icon1.png",
		CpGrade2: "icon2.png",
		CpGrade3: "icon3.png",
		CpGrade4: "icon4.png",
		CpGrade5: "icon5.png",
	}
	// cp特权icon // todo ui
	CpPrivilegeIcon = map[CpPrivilege]string{
		CpPrivilegeSpace:         "icon_p_1.png",
		CpPrivilegeBanner:        "icon_p_2.png",
		CpPrivilegeMedal:         "icon_p_3.png",
		CpPrivilegeCert:          "icon_p_4.png",
		CpPrivilegeRoomEffect:    "icon_p_5.png",
		CpPrivilegeHeadwear:      "icon_p_6.png",
		CpPrivilegeActiveProfile: "icon_p_7.png",
		CpPrivilegeMicEffect:     "icon_p_8.png",
	}
)

type CpPrivilege int

const (
	CpPrivilegeSpace         CpPrivilege = 1 // 空间
	CpPrivilegeBanner        CpPrivilege = 2 // 横幅
	CpPrivilegeMedal         CpPrivilege = 3 // 等级勋章
	CpPrivilegeCert          CpPrivilege = 4 // 证书
	CpPrivilegeRoomEffect    CpPrivilege = 5 // 进场特效
	CpPrivilegeHeadwear      CpPrivilege = 6 // 头像头饰
	CpPrivilegeActiveProfile CpPrivilege = 7 // 动态资料卡
	CpPrivilegeMicEffect     CpPrivilege = 8 // 麦位特效
)
